ホーム > 動作環境

mpcbridgeの動作環境は以下の通りです。

mpd

mpd(Music Player Daemon)は、最近のバージョンであれば、多分問題は出ないと思います。
0.16.x〜0.20.xをコントロールできることを確認しています。

Webサーバー

mpcbridgeはPHPのフレームワーク、CakePHP 3.6.xを使用しています。
稼働させるためには、いわゆるAMP(Apache/MySQL/PHP)に準じる環境が必要になります。

  • apache 2.2以降
  • PHP 5.6以降
  • MySQL 5.0以降

Webブラウザー

jQuery、Bootstrapを使用していますので、HTML 5対応のWebブラウザが必要です
Unicode絵文字を使用していますので、OSやWebブラウザのバージョンによっては、絵文字が表示されない場合があります。
このサイトのレイアウトが崩れたり、表示できていないWebブラウザでは、mpcbridgeも正常に動かない可能性があります。
なお、Internet Explorerについては、動作確認を行っていません。